Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.appflow.webflow.servlets.jsp.taglib
Class CheckboxTag

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagSupport
            |
            +--com.bea.p13n.appflow.webflow.servlets.jsp.taglib.FieldTag
                  |
                  +--com.bea.p13n.appflow.webflow.servlets.jsp.taglib.CheckboxTag

public class CheckboxTag
extends FieldTag

See Also:
  Serialized Form

Fields inherited from class com.bea.p13n.appflow.webflow.servlets.jsp.taglib.FieldTag
`htmlAttributes, name, retainValue, retainValueBool, validatedValues, value`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Constructor Summary
`CheckboxTag()`

Method Summary
`int` | `doStartTag()`
`java.lang.String` | `getChecked()`
`void` | `release()`
`void` | `setChecked(java.lang.String checked)`

Methods inherited from class com.bea.p13n.appflow.webflow.servlets.jsp.taglib.FieldTag
`addIntoPageContext, doEndTag, getDefaultRetainValue, getHtmlAttributes, getHttpServletRequest, getName, getRetainValue, getRetainValueBool, getValue, setHtmlAttributes, setName, setRetainValue, setValue`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CheckboxTag

    public CheckboxTag()

Method Detail

### release

    public void release()

  Overrides:
    release in class FieldTag

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Overrides:
    doStartTag in class javax.servlet.jsp.tagext.TagSupport

### getChecked

    public java.lang.String getChecked()

### setChecked

    public void setChecked(java.lang.String checked)

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved